## Name

gfdirquota — configure or display directory quota setting

## Synopsis

`gfdirquota` [-u `user_name`] [-P `path`] -c `dirset_name`...

`gfdirquota` [-u `user_name`] [-P `path`] -d `dirset_name`...

`gfdirquota` [-u `user_name`] -a `dirset_name` [`directory`...]

`gfdirquota` [ -u `user_name` | -A ]

`gfdirquota` [ -u `user_name` | -A ] -l [`dirset_name`...]

## DESCRIPTION

The gfdirquota command creates or deletes dirsets, or lists dirsets, or adds directories to a dirset.

If none of -c, -d, -a, -l option is specified, The gfdirquota command displays a list of dirsets which were created by the user.

Administrators who have the gfarmroot group privilege can specify user name by using the -u option.

## OPTIONS

`-A`

  Displays all users' dirsets. This requires the gfarmroot group privilege.

`-P path`

  Specifies a non-default metadata server by using a path name.

`-a dirset_name`

  Adds directories to the dirset.

`-c`

  Creates dirsets.

`-d`

  Deletes dirsets.

`-l`

  Lists dirsets and directories which belong to the dirsets.

`-u user_name`

  Configures or displays dirsets which were created by the specified user.

`-?`

  Displays a list of command options.

## SEE ALSO

gfedquota(1), gfquota(1), Gfarm Users' Manual / Directory Quota